{
  "factory": {
    "id": "route-aggregator-in-object",
    "type": "entaxy.runtime.route",
    "parent": "route-aggregator",
    "isAbstract": false,
    "displayName": "AGGREGATOR",
    "description": "The Aggregator from the EIP patterns allows you to combine a number of messages together into a single message. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/route_descriptions.html#_aggregator\">Entaxy docs</a> and <a target=\"_blank\" href=\"https://camel-docs.entaxy.ru/components/${camel-docs.version}/feips/aggregate-eip.html\">Camel docs</a>"
  },
  "entaxy.runtime.route": {
    "targetRouteContainerType": "OBJECT"
  },
  "fields": {
    "globalCallMode": {
      "@TYPEINFO": {
        "values": [
          "NONE"
        ]
      },
      "isHidden": true,
      "defaultValue": "NONE"
    },
    "localCallMode": {
      "@TYPEINFO": {
        "type": "enum",
        "values": [
          "SYNC",
          "ASYNC",
          "BOTH"
        ]
      },
      "defaultValue": "SYNC"
    }
  },
  "outputs": {
  }
}
